
<!-- <ng-container *ngIf="service.residencia !== null">
    <div class="position-absolute top-50 left-50 text-center faded" style="transform: translate(-50%, -50%);">
    <i class="mdi mdi-home-city mdi-60px"></i>
    <h2 class="font-2x1 mt-n3">Residencia {{ service.residencia?.Numero }}</h2>
    <div class="divider-horizontal">Propietario</div>
    <small class="font-md">{{ service.residencia?.Propietario }}</small>
</div>

<div class="py-3 d-flex flex-column align-items-end faded">
    <button class="btn btn-icon btn-info" ngbTooltip="Historial de Visitas" (click)="showVisita()"
        triggers="hover">
        <i class="mdi mdi-account-group mdi-18px"></i>
    </button>
</div>
</ng-container>

<div class="position-absolute top-50 left-50 w-100 text-center faded" *ngIf="service.residencia === null"
    style="transform: translate(-50%, -50%)">
    <p class="text-secondary">
        No cuenta con una residencia registrada
    </p>
    <button class="btn btn-info btn-sm" (click)="showResidenciaCode()">
        Ingresar codigo
    </button>
</div>

<ng-template #visita>
    <app-residencia-visitas></app-residencia-visitas>
</ng-template>

<ng-template #code>
    <app-residencia-code></app-residencia-code>
</ng-template> -->
<!-- eyJJZCI6MSwiTnVtZXJvIjoiMjQwIiwiUHJvcGlldGFyaW8iOiJKdWFuIFBlcmV6In0= residencia -->

<ng-container *ngIf="service.residencia === null; else component">
    <app-residencia-code></app-residencia-code>
</ng-container>

<ng-template #component>
    <div class="row mt-2">
        <div class="col-md-6">
            <div class="row">
                <div class="col-6">
                    <button class="btn btn-icon btn-info btn-block"(click)="showVisita()">
                        <i class="mdi mdi-account-group mdi-18px"></i>
                        Visitas Registradas
                    </button>
                </div>
                <div class="col-6">
                    <button class="btn btn-icon btn-danger btn-block" (click)="showVisita()">
                        <i class="mdi mdi-alert-octagram mdi-18px"></i>
                        Queja o Sugerencia
                    </button>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header bg-dark border-info"><h6 class="m-0 text-white">Estado de deuda</h6></div>
                        <ul class="list-group border-0">
                            <li class="list-group-item font-md text-secondary">
                                Item1<small class="float-right">124.55</small>
                            </li>
                            <li class="list-group-item font-md text-secondary">
                                Item2<small class="float-right">224.55</small>
                            </li>
                            <li class="list-group-item font-md text-secondary">
                                Item3<small class="float-right">324.55</small>
                            </li>
                            <li class="list-group-item font-md text-secondary">
                                Item4<small class="float-right">424.55</small>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 mt-2 mt-md-0">
            <div class="card card-light shadow-sm">
                <div class="card-header bg-dark border-info"><h6 class="m-0">Noticias</h6></div>
                <div class="card-body scroll" style="max-height: 450px;">
                    <div class="card mt-2">
                        <div class="card-header bg-transparent bg-accent-info border-bottom-0">
                            <span class="badge badge-info float-left">Noticia del dia</span>
                            <small class="float-right text-muted">20-12-2020</small>
                        </div>
                        <div class="card-body">
                            <p class="text-secondary font-md">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Quidem expedita esse quasi, totam eveniet nisi quaerat quos voluptates, reiciendis dolor obcaecati ab? Iure beatae velit perspiciatis vitae optio ipsam dicta!
                            </p>
                            <span class="badge border badge-sm text-muted float-right">Administrador</span>
                        </div>
                    </div>
                    <div class="card mt-2">
                        <div class="card-header bg-transparent bg-accent-info border-bottom-0">
                            <span class="font-weight-medium font-md text-info float-left">Noticia del dia</span>
                            <small class="float-right text-dark">20-12-2020</small>
                        </div>
                        <div class="card-body">
                            <p class="text-secondary font-md">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Quidem expedita esse quasi, totam eveniet nisi quaerat quos voluptates, reiciendis dolor obcaecati ab? Iure beatae velit perspiciatis vitae optio ipsam dicta!
                            </p>
                            <div class="d-flex align-items-center">
                                <img src="assets/img/user/2.jpg" alt="" width="25" class="rounded-circle mr-2">
                                <small class="text-muted">Administrador</small>
                            </div>
                        </div>
                    </div>
                    <div class="card mt-2">
                        <div class="card-header bg-transparent bg-accent-info border-bottom-0">
                            <span class="font-weight-medium font-md text-info float-left">Noticia del dia</span>
                            <small class="float-right text-dark">20-12-2020</small>
                        </div>
                        <div class="card-body">
                            <p class="text-secondary font-md">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Quidem expedita esse quasi, totam eveniet nisi quaerat quos voluptates, reiciendis dolor obcaecati ab? Iure beatae velit perspiciatis vitae optio ipsam dicta!
                            </p>
                            <div class="d-flex align-items-center">
                                <img src="assets/img/user/2.jpg" alt="" width="25" class="rounded-circle mr-2">
                                <small class="text-muted">Administrador</small>
                            </div>
                        </div>
                    </div>
                    <div class="card mt-2">
                        <div class="card-header bg-transparent bg-accent-info border-bottom-0">
                            <span class="font-weight-medium font-md text-info float-left">Noticia del dia</span>
                            <small class="float-right text-dark">20-12-2020</small>
                        </div>
                        <div class="card-body">
                            <p class="text-secondary font-md">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Quidem expedita esse quasi, totam eveniet nisi quaerat quos voluptates, reiciendis dolor obcaecati ab? Iure beatae velit perspiciatis vitae optio ipsam dicta!
                            </p>
                            <div class="d-flex align-items-center">
                                <img src="assets/img/user/2.jpg" alt="" width="25" class="rounded-circle mr-2">
                                <small class="text-muted">Administrador</small>
                            </div>
                        </div>
                    </div>
                    <div class="card mt-2">
                        <div class="card-header bg-transparent bg-accent-info border-bottom-0">
                            <span class="font-weight-medium font-md text-info float-left">Noticia del dia</span>
                            <small class="float-right text-dark">20-12-2020</small>
                        </div>
                        <div class="card-body">
                            <p class="text-secondary font-md">
                                Lorem ipsum dolor sit amet consectetur adipisicing elit. Quidem expedita esse quasi, totam eveniet nisi quaerat quos voluptates, reiciendis dolor obcaecati ab? Iure beatae velit perspiciatis vitae optio ipsam dicta!
                            </p>
                            <div class="d-flex align-items-center">
                                <img src="assets/img/user/2.jpg" alt="" width="25" class="rounded-circle mr-2">
                                <small class="text-muted">Administrador</small>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <ng-template #visita>
        <app-residencia-visitas></app-residencia-visitas>
    </ng-template>
</ng-template>

